#!/usr/bin/env node
const fs = require('fs');
//色彩
const colors = require('colors');
//进程
let cwd = process.cwd();
let opt = {
    cwd: cwd
}
//子进程
let exec = require('child_process').exec;



function accessFile(fileName, callback) {
    return fs.access(fileName, (err) => {
        //目录or文件不存在
        if (err) {
            fs.mkdir(fileName, (err) => {
                if (err) {
                    console.log((err).red);
                    return
                }
                console.log((`${fileName}目录创建完成`).green);
                typeof (callback) == "undefined" ? null : callback();
            });
            return
        }
        console.log((`${fileName}目录已存在`).yellow);
        typeof (callback) == "undefined" ? null : callback();
    })
}

//通过进程复制内置文件
function execFile(from, target) {
    exec(`cp -r ${from} ${target}`, opt, (error, stdout, stderr) => {
        if (error) {
            console.log((`文件复制失败${from}`).red);
            return
        }
        /* console.log(stdout)
        console.log(stderr) */
    })
}

console.log(__dirname)
console.log(cwd)
accessFile(`${cwd}/config`, execFile(`${__dirname}/../lib/config/*`, `${cwd}/config/`))


accessFile(`${cwd}/src`, () => {

    //创建mock目录
    accessFile(`${cwd}/src/mock`, () => {
        execFile(`${__dirname}/../lib/index.js`, `${cwd}/src/mock`)
        execFile(`${__dirname}/../lib/mock.create.js`, `${cwd}/src/mock`)
    });
    //创建组件目录
    accessFile(`${cwd}/src/component`, () => {
        execFile(`${__dirname}/../lib/index.js`, `${cwd}/src/component`)
    });
    //创建容器目录
    accessFile(`${cwd}/src/containers`, () => {
        execFile(`${__dirname}/../lib/index.js`,  `${cwd}/src/containers`)
    });
    //创建入口目录
    accessFile(`${cwd}/src/entrance`, () => {
        execFile(`${__dirname}/../lib/entrance/*`,  `${cwd}/src/entrance`)
    });
    //创建redux目录
    accessFile(`${cwd}/src/redux`, () => {
        execFile(`${__dirname}/../lib/redux/*`, `${cwd}/src/redux/`)
    });
    //创建资源目录
    accessFile(`${cwd}/src/public/`, () => {
        //创建静态数据目录
        accessFile(`${cwd}/src/public/data`);
        //创建字体目录
        accessFile(`${cwd}/src/public/font`);
        //创建图片目录
        accessFile(`${cwd}/src/public/images`);
        //创建js目录
        accessFile(`${cwd}/src/public/js`);
    });
});
