#!/usr/bin/env node
/**
 * 本模块用来为包装第三方依赖
 */
//色彩
const colors = require('colors');

 let path = require('path');
 let cmd = 'npm install';
 let cwd = process.cwd();
 let opt = {
     cwd: cwd
 }
 let devDependenciesPackage = require(path.join(__dirname, "../lib/devDependencies.json"));
 let dependenciesPackage = require(path.join(__dirname, "../lib/dependencies.json"));
 let exec = require('child_process').exec;
 
 //读取package 中的内容，输出数组
 let devDependencies = Object.keys(devDependenciesPackage);
 let devDependenciesValue = Object.values(devDependenciesPackage);
 console.log(devDependencies);
 console.log(devDependenciesValue);
 let dependencies = Object.keys(dependenciesPackage);
 let dependenciesValue = Object.values(dependenciesPackage);
 console.log(dependencies);
 console.log(dependenciesValue);
 
 
 
 console.log(`命令运行地址：${cwd}`)
 console.log("准备安装第三方依赖请等待...");
 let length = dependencies.length;
 console.log(length);
 
 
 let index = 0;
 
 
 //第2步递归调用
 const execDevFun = (_index) => {
 
     if (_index < length) {
         exec(`${cmd} ${devDependencies[_index]}@${devDependenciesValue[_index]} --save-dev`, opt, (error, stdout, stderr) => {
             if (error) {
                 console.error((`安装依赖执行失败${devDependencies[_index]}`).red);
                 console.error(error);
                 return;
             }
             console.log((`安装依赖执行成功${devDependencies[_index]}`).green);
             /* console.log("标准输出设备");
             console.log(stdout);
             console.log("标准错误输出设备");
             console.log(stderr); */
             index++;
             execDevFun(index);
         })
     }
 }
 //第1步递归调用
 const execDepFun = (_index) => {
 
     if (_index < length) {
         exec(`${cmd} ${dependencies[_index]}@${dependenciesValue[_index]} --save`, opt, (error, stdout, stderr) => {
             if (error) {
                 console.error((`安装依赖执行失败${dependencies[_index]}`).red);
                 console.error(error);
                 return;
             }
             console.log((`安装依赖执行成功${dependencies[_index]}`).green);
             /* console.log("标准输出设备");
             console.log(stdout);
             console.log("标准错误输出设备");
             console.log(stderr); */
             index++;
             execDepFun(index);
         })
     } else {
         index = 0;
         length = devDependencies.length;
         execDevFun(index);
     }
 }
 execDepFun(index)