#!/usr/bin/env node
//运行的路径
const cwd = process.cwd();
const path = require('path');
const colors = require("colors");
const express = require('express');
const app = express();
//读取项目基本设置
const project = require(path.join(cwd, `/config/Project.config.js`));
const dist = path.join(cwd, `./dist/${project.outputPath}`);
const staticPath = express.static(dist);

app.use(staticPath);
app.get(dist, function (req, res) {
    res.sendFile('/index.html');
    res.end();
});

app.listen(project.proPort, project.proUrl, function (error) {
    if (error) {
        console.error(error)
    } else {
        console.info(('****node服务启动成功**** ').yellow + (project.proUrl + ':' + project.proPort).red)
    }
})