const project = {
    /*开发模式中的访问地址
     *类型string
     */
    "devUrl": "localhost",
    /*开发模式中的设置端口
     * 以数组的方式使用
     * 数组[0]，用来访问开发页面，端口号必填
     * 数组[1]，用来访问BundleAnalyzer,false为关闭当前功能，如若开启请输入端口后，例:8888
     * 数组[2]，用来访问Jarvis,false为关闭当前功能，如若开启请输入端口后，例:8889
     * 类型string/number/boolean(false)
     */
    "devPort": [8081, false, false],
    /*工程的整体名称，对应影响浏览器中的title
     *类型string
     */
    "webTitle": "网络智能管理平台",
    /*
     *工程的整体图标，对应影响浏览器中的title的ico
     * 支持路径、url、base64
     * base64需要'base64编码'
     * 类型string
     */
    "webIcon": "https://webpack.docschina.org/assets/favicon.ico",
    /*开发模式中的访问地址
     * 类型string
     */
    "proUrl": "192.168.3.111",
    /*开发模式中的访问端口
     *类型string/number
     */
    "proPort": "8084",
    /*真实的接口调用地址集合，可数组包含对象形式，编译多个接口
     * name是接口名称，类型string/number
     * protocal，请求方式http/https，类型string
     * url,真实接口的访问地址，类型string
     * port,真实接口的访问端口，不存在可传""，类型string/number
     * path,代表接口路径，例如：192.168.1.123:8080/develope/getData,不存在可传""，类型string/number
     */
    "realUrl": [{
        "name": "urlOne",
        "protocol": "http",
        //以下是联调
         /* "url": "106.75.70.198",
         "port": "8760",
         "path": "", */
        //以下是现场
        /* "url": "157.0.0.5",
        "port": "8760",
        "path": "", */
        //以下是内网
        "url": "192.168.3.241",
        "port": "8777",
        "path": ""

    },
    {
        "name": "upm",
        "protocol": "http",
        "url": "192.168.3.247",
        // "url": "157.0.10.253",
        // "url": "129.255.0.1",
        "port": "",
        "path": ""
    },
    {
        "name": "东软",
        "protocol": "http",
        // "url": "192.168.3.211",
        "url": "157.0.0.2",
        "port": "",
        "path": ""
    },
    {
        "name": "悟空",
        "protocol": "http",
        "url": "95.2.254.6",
        // "url": "192.168.3.245",
        "port": "",
        "path": ""
    }, {
        "name": "准入",
        "protocol": "http",
        "url": "129.255.0.11",
        "port": "",
        "path": ""
    },
    ],
    /*需要处理转移的静态资源
     * 以数组形式储存
     * 处理路径public下定义的文件夹，
     * 可将一些不适合打包的资源在打包时移入相应的文件夹
     * 以方便最终部署访问
     * 可设置整体文件夹或单个文件
     * '/文件夹名/文件名'
     * 类型string
     */
    "publicResources": ["/images/AppStore", "/images/NetworkTopology", "/js/TimeControl.js","/js/realAddress.js"],
    /*设置页面的css引入
     *entrance/template.html文件中<%= htmlWebpackPlugin.options.webCss %>使用相关配置
     *以数组形式储存，内部以{}形式，类型string
     *{}中name表示文件夹目录名
     *{}中value表示文件夹目录名下的文件名，同目录文件可数组形式传入，不用文件后缀，
     *如果是不同的文件夹，可以编写多个{}
     */
    "webCss": [{
        name: "css",
        value: ["vendors", "app"]
    }],
    /*设置页面的js引入
     *entrance/template.html文件中<%= htmlWebpackPlugin.options.webScript %>使用相关配置
     *以数组形式储存，内部以{}形式，类型string
     *{}中name表示文件夹目录名
     *{}中value表示文件夹目录名下的文件名，同目录文件可数组形式传入，不用文件后缀，
     *如果是不同的文件夹，scp 可以编写多个{}
     */
    "webScript": [{
        name: "public/js",
        value: ["realAddress","TimeControl"]
    }, {
        name: "js",
        value: ["vendors.bundle", "app.bundle"]
    }],
    /*工程应用中的服务名，影响接口访问路径
     *在一般情况下，后台部署的服务在服务器上会有路径
     *例如：/developer/index.html
     *在前端开发中其实不需要很深的目录，框架默认访问的是自生成的dist文件夹
     *所以在本地开发和打包 "/"，发布到生产线上"/服务器路径/"
     *类型string
     *outputPath string 生产路径
     *publicPath string 开发路径
     */
    "outputPath": "net",
    "publicPath": "src",
    /*工程中需要全局声明的第三方库，对应影响webpack.ProvidePlugin
     *关于第三方声明的方式，以各库自身为准
     */
    "providePlugin": {
        "_": ["lodash"],
        "echarts": "echarts",
        "React": "react",
        "Component": [
            "react",
            "Component",
        ],
        "PureComponent": [
            "react",
            "PureComponent",
        ],
        "Fragment": [
            "react",
            "Fragment"
        ],
        "connect": [
            "react-redux",
            "connect"
        ],
        "PropTypes": "prop-types",
        "ReactDOM": "react-dom",
        "Mock": "mockjs",
        "axios": "axios",
        "d3": "d3",
        "moment": "moment",
        "THREE": "three",
        "go": "gojs",
    },
    /*将一些不经常更新的第三方库与代码分开打包
     *名字可以自己定义
     *类型string
     */
    "dllList": "dllList",
    /*是否开启redux，true开启、false关闭、默认关闭*/
    "redux": true,
    /*是否开启antd，true开启、false关闭、默认开启*/
    "antd": true,
    /*是否开启hot热刷新，true开启、false关闭、默认关闭*/
    "hot": false
}
module.exports = project